<?php

// correct order_total modules
$check = $this->query('SELECT `value` FROM `gx_configurations` WHERE `key` = "configuration/MODULE_ORDER_TOTAL_LOWORDERFEE_ORDER_UNDER" AND `type` = "currencies->format"',
                      true);
if ($check->num_rows > 0) {
    $query     = "UPDATE `gx_configurations` SET `type`='' WHERE `key` = 'configuration/MODULE_ORDER_TOTAL_LOWORDERFEE_ORDER_UNDER';";
    $t_success &= $this->query($query, true);
}

$check = $this->query('SELECT `value` FROM `gx_configurations` WHERE `key` = "configuration/MODULE_ORDER_TOTAL_LOWORDERFEE_FEE" AND `type` = "currencies->format"',
                      true);
if ($check->num_rows > 0) {
    $query     = "UPDATE `gx_configurations` SET `type`='' WHERE `key` = 'configuration/MODULE_ORDER_TOTAL_LOWORDERFEE_FEE';";
    $t_success &= $this->query($query, true);
}

$check = $this->query('SELECT `value` FROM `gx_configurations` WHERE `key` = "configuration/MODULE_ORDER_TOTAL_SHIPPING_FREE_SHIPPING_OVER" AND `type` = "currencies->format"',
                      true);
if ($check->num_rows > 0) {
    $query     = "UPDATE `gx_configurations` SET `type`='' WHERE `key` = 'configuration/MODULE_ORDER_TOTAL_SHIPPING_FREE_SHIPPING_OVER';";
    $t_success &= $this->query($query, true);
}